<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <!-- defines the layout master -->
  <fo:layout-master-set>
    <fo:simple-page-master master-name="first" page-height="40cm" page-width="55cm" margin-top="1cm" margin-bottom="2cm" margin-left="2cm" margin-right="2cm">
      <fo:region-body margin-top="1cm" margin-bottom="1.5cm"/>
      <fo:region-before extent="1cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <!-- starts actual layout -->
  <fo:page-sequence master-reference="first">
    <fo:static-content flow-name="xsl-region-after">
      <fo:block text-align="center" font-size="14pt" font-family="serif" line-height="14pt" ><?=_("Erstellt mit Stud.IP")?> <?=$GLOBALS["SOFTWARE_VERSION"]?> - <?=_("Seite")?> <fo:page-number/></fo:block>
      <fo:block text-align="center" font-size="14pt" font-family="serif" line-height="14pt" >
        <fo:basic-link color="blue" external-destination="<?=$GLOBALS["ABSOLUTE_URI_STUDIP"]?>"><?=utf8_encode($GLOBALS["UNI_NAME_CLEAN"])?></fo:basic-link>
      </fo:block>
    </fo:static-content>
    <fo:flow flow-name="xsl-region-body">
      <fo:block font-variant="small-caps" text-align="center" font-size="24pt" font-weight="bold" space-after.optimum="10pt">Kalender vom <?=date("d.m.Y",$von)?> bis zum <?=date("d.m.Y",$bis)?></fo:block>

      <fo:table table-layout="fixed" space-after.optimum="10pt">
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-column column-width="40mm"/>
        <fo:table-body>
          <fo:table-row height="20mm">
<? foreach ($jahr as $monat) : ?>
            <fo:table-cell>
              <fo:table table-layout="fixed" width="100%" border-width="0.1mm" border-style="solid">
                <fo:table-column column-width="40mm"/>
                <fo:table-body>
                  <fo:table-row height="8mm">
                    <fo:table-cell padding-left="2px" background-color="<?=$monat['color']?>">
                      <fo:block font-size="16pt" font-variant="small-caps" font-weight="bold" text-align="center"><?=$monat['monat']?></fo:block>
                    </fo:table-cell>
                  </fo:table-row>
                </fo:table-body>
              </fo:table>
<? foreach ($monat['tage'] as $termin_texte) : ?>
              <fo:table table-layout="fixed" width="100%" border-width="0.1mm" border-style="solid">
                <fo:table-column column-width="8mm"/>
                <fo:table-column column-width="26mm"/>
                <fo:table-column column-width="6mm"/>
                <fo:table-body>
                  <fo:table-row height="10mm">
                    <fo:table-cell padding-left="2px">
                      <fo:block font-size="14pt" font-weight="bold" text-align="left"><?=$termin_texte['tag']?></fo:block>
                    </fo:table-cell>
                    <fo:table-cell padding="2px" text-align="left">
                      <fo:table table-layout="fixed" width="100%">
<? foreach ($termin_texte['termine'] as $t) : ?>
                        <fo:table-column/>
<? endforeach ?>
                        <fo:table-body>
                          <fo:table-row height="8mm">
<? foreach ($termin_texte['termine'] as $t) : ?>
                            <fo:table-cell border-width="0.1mm" border-style="solid" background-color="<?=(!$use_pdf_colors ? "#C0C0C0" : $t['color'])?>">
                            </fo:table-cell>
<? endforeach ?>
                          </fo:table-row>
                        </fo:table-body>
                      </fo:table>
                    </fo:table-cell>
                    <fo:table-cell padding-right="2px">
                      <fo:block font-size="14pt" font-weight="bold" text-align="right"><?=$termin_texte['tag_nr']?></fo:block>
                    </fo:table-cell>
                  </fo:table-row>
                </fo:table-body>
              </fo:table>
<? endforeach ?>
            </fo:table-cell>
<? endforeach ?>
          </fo:table-row>
        </fo:table-body>
      </fo:table>
  
    </fo:flow>
  </fo:page-sequence>
</fo:root>
